From 833f92732d242e840f02068433b12e4a6650b35b Mon Sep 17 00:00:00 2001
From: Wei xie <xiewei@linuxdeepin.com>
Date: Thu, 4 Jan 2018 15:46:28 +0800
Subject: [PATCH] wininet: Check null pointer in InternetGetSecurityInfoByURLW

Signed-off-by: Wei xie <xiewei@linuxdeepin.com>
---
 dlls/wininet/internet.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/dlls/wininet/internet.c b/dlls/wininet/internet.c
index 1f1bbbd6d4..5e384a0ad0 100644
--- a/dlls/wininet/internet.c
+++ b/dlls/wininet/internet.c
@@ -4480,8 +4480,14 @@ BOOL WINAPI InternetGetSecurityInfoByURLW(LPCWSTR lpszURL, PCCERT_CHAIN_CONTEXT
 
         chain_dup = CertDuplicateCertificateChain(server->cert_chain);
         if(chain_dup) {
-            *ppCertChain = chain_dup;
-            *pdwSecureFlags = server->security_flags & _SECURITY_ERROR_FLAGS_MASK;
+            if (ppCertChain) *ppCertChain = chain_dup;
+            else {
+                CertFreeCertificateChain(chain_dup);
+                res = FALSE;
+            }
+
+            if (pdwSecureFlags)
+                *pdwSecureFlags = server->security_flags & _SECURITY_ERROR_FLAGS_MASK;
         }else {
             res = FALSE;
         }
-- 
2.11.0

